Bug 4250 - Initial configuration - Root Password Confirmation Prompt - No virtual keyboard
: Initial configuration - Root Password Confirmation Prompt - No virtual keyboard
Status: RESOLVED WONTFIX
Product: Mer
Core
: 0.11
: N800 Linux
: Medium normal (vote)
: ---
Assigned To: Carsten Munk
: general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-04-01 23:00 UTC by Matthew Craig
Modified: 2011-11-28 12:08 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Matthew Craig (reporter) 2009-04-01 23:00:10 UTC
SOFTWARE VERSION: 0.11testing1
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM: Perform initial configuration setup script.

EXPECTED OUTCOME: Enter initial root password with virtual keyboard.  Confirm
password by typing password again with virtual keyboard.

ACTUAL OUTCOME: Initial password works correctly, but confirmation prompt does
not provide virtual keyboard.  Pressing Cancel will advance the setup script,
to the hostname prompt, without error.

REPRODUCIBILITY:
(always/sometimes/once)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1b3)
Gecko/20090313 Shiretoko/3.1b3
Comment 1 Lucas Maneos 2009-08-13 00:31:31 UTC
(In reply to comment #0)
> ACTUAL OUTCOME: Initial password works correctly, but confirmation prompt does
> not provide virtual keyboard.

Worked for me on 0.15 (several times).

> Pressing Cancel will advance the setup script, to the hostname prompt, without error.

This still happens on 0.15 (tested once).  IMHO the password dialogs should not
be cancellable or we risk the user mistyping the password once and locking
themselves out.

I haven't tested what happens if two different passwords are typed.
Comment 2 Steve MacGregor 2009-12-25 16:29:38 UTC
I have no virtual keyboard on the n800 for the setup screens on 0.17testing4,
installed to MMC via the mer installer. I repeated the installation and
verified the problem. Installing 0.16 in the same manner did not have this
problem.

Canceling the username field does not allow one to proceed. There appears to be
no way to progress past this point.
Comment 3 Andre Klapper maemo.org 2011-11-28 12:08:55 UTC
Closing the remaining open bug reports for "Mer" in bugs.maemo.org as WONTFIX,
as Mer now has its own bugtracker at 

                            http://bugs.merproject.org/

Please file a bug report in http://bugs.merproject.org/ if the problem that you
reported here still happens in a recent version of Mer published on
http://releases.merproject.org . 
Thank you for helping and supporting Mer!